Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cmp
Class PKIStatus

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.cmp.PKIStatus

All Implemented Interfaces:
  DEREncodable

    public class PKIStatus

extends ASN1Encodable

Field Summary
`static PKIStatus` | `granted`
`static int` | `GRANTED`
`static int` | `GRANTED_WITH_MODS`
`static PKIStatus` | `grantedWithMods`
`static int` | `KEY_UPDATE_WARNING`
`static PKIStatus` | `keyUpdateWaiting`
`static PKIStatus` | `rejection`
`static int` | `REJECTION`
`static int` | `REVOCATION_NOTIFICATION`
`static int` | `REVOCATION_WARNING`
`static PKIStatus` | `revocationNotification`
`static PKIStatus` | `revocationWarning`
`static PKIStatus` | `waiting`
`static int` | `WAITING`

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Method Summary
`static PKIStatus` | `getInstance(java.lang.Object o)`
`DERObject` | `toASN1Object()`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GRANTED

    public static final int GRANTED

See Also:
  Constant Field Values

### GRANTED_WITH_MODS

    public static final int GRANTED_WITH_MODS

See Also:
  Constant Field Values

### REJECTION

    public static final int REJECTION

See Also:
  Constant Field Values

### WAITING

    public static final int WAITING

See Also:
  Constant Field Values

### REVOCATION_WARNING

    public static final int REVOCATION_WARNING

See Also:
  Constant Field Values

### REVOCATION_NOTIFICATION

    public static final int REVOCATION_NOTIFICATION

See Also:
  Constant Field Values

### KEY_UPDATE_WARNING

    public static final int KEY_UPDATE_WARNING

See Also:
  Constant Field Values

### granted

    public static final PKIStatus granted

### grantedWithMods

    public static final PKIStatus grantedWithMods

### rejection

    public static final PKIStatus rejection

### waiting

    public static final PKIStatus waiting

### revocationWarning

    public static final PKIStatus revocationWarning

### revocationNotification

    public static final PKIStatus revocationNotification

### keyUpdateWaiting

    public static final PKIStatus keyUpdateWaiting

Method Detail

### getInstance

    public static PKIStatus getInstance(java.lang.Object o)

### toASN1Object

    public DERObject toASN1Object()

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD